import java.io.File
import java.io.PrintWriter
import java.io.BufferedReader

fun main(args: Array<String>) {
    if (args.size != 2) {
        println("Please give me exactly two arguments!")
        return
    }

	var	input = args[0]
	val i = File(input)
	if (i.exists() == false) {
		println(input + " does not exist!")
		return
	}
	
	if (i.isDirectory) {
		println(input + "cannot be a directory!")
		return
	}
	
	var output = args[1]
	val o = File(output)
	if (o.exists()) {
		println(output + " already exists!")
		return
	}

	val bufferedReader = File(input).bufferedReader()
	val lineList = mutableListOf<String>()
	bufferedReader.useLines {
        lines -> lines.forEach {
            lineList.add(it)
        } 
    }

	val writer = PrintWriter(output)
	for (l in lineList) {
		writer.append("$l\n")
    }
	writer.close()
}
