import java.io.File
import java.io.BufferedReader

fun main(args: Array<String>) {
    if (args.size == 0) {
        println("Please give me one argument!")
        return
    }

	val bufferedReader = File(args[0]).bufferedReader()
	val lineList = mutableListOf<String>()

	bufferedReader.useLines {
        lines -> lines.forEach {
            lineList.add(it)
        } 
    }
    var nLines = 0
	for (l in lineList) {
        println(">  " + l)
        nLines++
    }
    println("Number of lines: " + nLines)
}
