import java.io.File
import java.io.BufferedReader

fun main(args: Array<String>) {
    if (args.size == 0) {
        println("Please give me at least one argument!")
        return
    }    


	val bufferedReader = File(args[0]).bufferedReader()
	val lineList = mutableListOf<String>()

	bufferedReader.useLines {
        lines -> lines.forEach {
            lineList.add(it)
        } 
    }
    var nLines = 0
	var nChars = 0
	var nWords = 0
	for (l in lineList) {
        nLines++
		nChars = nChars + l.length

		// If the line is empty without spaces, do not count words!
		if ( l.trim() != "" ) {
			val splitLine = l.trim().split(Regex("\\s+"))
			nWords = nWords + splitLine.count()
		}
    }
	
	// Do not forget newline characters!
	nChars = nChars + nLines	
    println("\t" + nLines + "\t" + nWords + "\t" + nChars)
}
