import java.util.Random

fun ClosedRange<Int>.random() = Random().nextInt(endInclusive - start) +  start

fun main(args: Array<String>) {
    if (args.size != 3) {
        println("Please give me exactly three arguments!")
        return
    }

	for (k in args) {
		try {
			var n = k.toInt()
		}
		catch (e: NumberFormatException) {
			println(k + "is not an integer")
			return
		}
	}
	
	val n = args[0].toInt()
	val min = args[1].toInt()
	val max = args[2].toInt()
	
	val myRange = min..max
	for (i in 1..n)
		println((myRange).random())
}
